# ***********************************************
# 
# !!!! DO NOT EDIT !!!!
# 
# This file was auto-generated by Build.PL.
# 
# ***********************************************
# 
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=encoding utf8

=head1 NAME

Lucy::Search::Hits - Access search results.

=head1 SYNOPSIS

    my $hits = $searcher->hits(
        query      => $query,
        offset     => 0,
        num_wanted => 10,
    );
    while ( my $hit = $hits->next ) {
        print "<p>$hit->{title} <em>" . $hit->get_score . "</em></p>\n";
    }

=head1 DESCRIPTION

Hits objects are iterators used to access the results of a search.

=head1 METHODS

=head2 next

    my $hit_doc = $hits->next();

Return the next hit, or undef when the iterator is exhausted.

=head2 total_hits

    my $int = $hits->total_hits();

Return the total number of documents which matched the Query used to
produce the Hits object.  Note that this is the total number of
matches, not just the number of matches represented by the Hits
iterator.

=head1 INHERITANCE

Lucy::Search::Hits isa Clownfish::Obj.

=cut

